PHP7.2.8连接mysql 8有重大bug, 不建议升级使用.

分类
Qampp手册
更新时间
2018-08-13 11:23:29

本次测试环境Qampp, 相同代码, 相同mysql.


代码如下:

<?php
$link = mysqli_connect('127.0.0.1','root','root','mysql','3306');
var_dump($link);
exit();


简单的连接数据库, 打印连接源.


其中PHP7.2.8 显示如图片


我们切换成php7.2.7 显示如图片.


PHP7.2.7是可以连接成功的, 可以看到使用的数据库为mysql 8


各位使用mysql 8的同学, 请不要升级php 7.2.8.


END;



Qstart 相关下载信息

Qampp APACE/PHP一键全系列环境包 : 64位, 32位,
Qampp Qampp 集成mysql 8系列版本 SQL8.x64
Qampp Qampp 兼容版(winXP, win2003等) XP兼容版

数据下载由网络决定

腾讯云 / 腾讯AI / 腾讯开源 / 南沙新区 / 信用
分享工作室[粤ICP备16004795号-2] Date:2019-10-15 17:34:02(UTC) RunTime:0.031